#### execution_context::allocator::rebind::other

Specifies the type of the rebound allocator.

    typedef allocator< U > other;

###### Types

Name | Description
--- | ---
rebind | Rebinds an allocator to another value type.
value_type | The type of objects that may be allocated by the allocator.

###### Member Functions

Name | Description
--- | ---
allocate | Allocate space for n objects of the allocator's value type.
allocator [constructor] | Construct an allocator that is associated with an execution context. — Construct from another allocator for a different value type.
deallocate | Deallocate space for n objects of the allocator's value type.
operator!= | Inequality operator.
operator== | Equality operator.

###### Requirements

Header: `asio/execution_context.hpp`

Convenience header: `asio/execution.hpp`